Subject: RE: [Diffserv] "Critical" traffic in a DS Domain

From: Kyung Park <[email-masked]>
Date: Wed, 3 May 2000 11:25:29 -0700

Can we assign those kinds of traffic to the EF or AF?
What is the rules for assign traffic to specific 
CS, EF or AF PHB?

Thanks,
-------------------------------------------
Kyung Park            Campio communications 
http://www.campio.com

> -----Original Message-----
> From: Brijesh Kumar [mailto:[email-masked]]
> Sent: Wednesday, May 03, 2000 10:20 AM
> To: 'Wilson, Greg'; [email-masked]
> Subject: RE: [Diffserv] "Critical" traffic in a DS Domain
> 
> 
> In his previous mail, Greg Wilson writes:
> > -----Original Message-----
> > All-
> >
> > What would be the best DS configuration for data that falls into a
> > "critical" category.  IE:  Network Control Traffic, 
> Heartbeats, Error
> > Messages, or any other kind of data that directly controls 
> the primary
> > functionality of a far-end, time sensitive device that is
> > connected to the
> > network.  This kind of traffic, if delayed or dropped, can
> > cause problems or
> > perceived problems with the affected devices.
> >
> > I am looking to find a PHB that focuses on this kind of
> > "critical" traffic.
> 
> 
> I don't think there is any PHB that exactly captures the 
> requirements for
> network Critical category as defined by you. You can use 
> class selector
> code points for such a traffic, and schedule this traffic at 
> a priority
> above
> or below EF. You can define such a behavior, and the only 
> requirement seems
> to be that you document the chosen behavior.
> 
> Cheers,
> 
> --brijesh
> 
> Ennovate Networks Inc.
> 
> 
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/diffserv
> Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
>

---

From: Grenville Armitage <[email-masked]>
Date: Wed, 03 May 2000 12:00:47 -0700

> What is the rules for assign traffic to specific

At risk of sounding unhelpful, the answer is "it depends on what
you're trying to do". But I'm being serious. Diffserv provides
the building blocks - the rules for how you use them depend on
what you're building. And so far the WG isn't developing e2e
specifications, because everyone has a slightly different idea
of what services they want. It isn't even clear we'd be able
to standardize any particular solutions, since there's such
an interdependency between network topology, PHB assignment,
and per-hop resource allocations. And since it'd be hard to
standardize, its outside WG scope.

cheers,
gja
________________________________________________________________________
Grenville Armitage                    http://members.home.net/garmitage/
Bell Labs Research Silicon Valley

---

From: "Brijesh Kumar" <[email-masked]>
Date: Wed, 3 May 2000 15:23:39 -0400

>What is the rules for assign traffic to specific 

Some nodes may indeed map (some, if not all) CS code points to 
different PHBs(EF, AF or the vendor defined), others may implement
them as a separate PHBs as defined in RFC 2474 section 4.2.2.4 with 
the relationship with EF, AF and BE chosen almost arbitrarily. 

I think that the class selector code point compliant PHBs will prove
worthless in a network consisting of multi-vendor nodes as there 
is no standard way to achieve any useful end to end deterministic 
behavior by deploying the CS compliant PHBs. Only using nodes that
have consistency in how they treat network control traffic using CS
code points, the end to end behavior can be made deterministic.

Cheers,

--brijesh

Ennovate Networks Inc.

---

From: Dan Grossman <[email-masked]>
Date: Wed, 03 May 2000 15:44:20 -0400

This discussion is another reminder that, RFC 2475 notwithstanding, there are 
many folks who equate 'PHB' with 'edge-to-edge service'.  I'm sure that many 
of us have to deal with this problem more often than we'd like.

I don't know how to better educate the public, but if we don't do something, 
these problems will persist.

---

From: John Schnizlein <[email-masked]>
Date: Wed, 03 May 2000 16:57:25 -0400

At 12:00 PM 05/03/2000 -0700, Grenville Armitage wrote:
>... And so far the WG isn't developing e2e

Minor correction:
It is not because it is hard to standardize, it is because 
what traffic is given what treatment is a matter of business
agreement that it is outside WG scope. The building-block
approach is that it is also not necessary to standardize
service specifications; network operators are expected to
create a wide variety of service alternatives for the market
to sort out.

I know you know this, but your summary statement might have
misled people who have not read the old discussions on this point.

John

---

From: Grenville Armitage <[email-masked]>
Date: Thu, 04 May 2000 00:50:23 -0700

I believe your observation is a specific instance, rather than
a correction, of my point.  Designing e2e services from a
technical standpoint is non-trivial because of all the
interdependent variables - variables that may be driven by a
number of considerations including business agreements (as you
noted), engineering expediency, or legacy network topologies.
(Not all diffserv networks will be built by businesses, and
defining e2e services for enterprise diffserv networks is
still out of scope - because it is non-trivial.)

cheers,
gja

--

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 04 May 2000 13:38:45 -0500

OK, but this (and Dan Grossman's point) is *exactly* why the co-chairs
took up the formerly-known-as-BA draft, as the next level of
building block. 

   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 04 May 2000 13:36:17 -0500

Brijesh,

There is no requirement for network control traffic to get determinisitic
delay. The requirement is for it to get there as fast as possible, in front
of any competing traffic. The class selectors are fine for that (as they
have been for many years in their previous disguise as IP Precedence).

It will be interesting to observe whether ISPs decide to push network 
control traffic in front of real time traffic, but it isn't a standards issue.

   Brian

-- 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Program Director, Internet Standards & Technology, IBM 
On assignment for IBM at http://www.iCAIR.org 
Attend INET 2000: http://www.isoc.org/inet2000
Non-IBM email: [email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 04 May 2000 13:28:59 -0500

Exactly. The "rules" are actually what we call "policy" and
they are set by people for each individual network. No doubt standard
industry practice will emerge over the next few years.

    Brian

---

From: Scott W Brim <[email-masked]>
Date: Fri, 05 May 2000 07:30:33 -0400

>control traffic in front of real time traffic, but it isn't a standards 

For at least some "network control" traffic (we used to know what this 
means, I'm not sure we do anymore), what you want is that it get "prompt" 
forwarding -- perhaps less forwarding priority than some other traffic 
under normal conditions -- but very low loss under any conditions.  We 
may have a standards issue in supporting this edge-to-edge.

...Scott